import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { MaintenanceMonthMaster } from '../models';
import { MaintenanceMonthMasterRepository } from '../repositories';
export declare class MaintenancemonthmsterController {
    maintenanceMonthMasterRepository: MaintenanceMonthMasterRepository;
    constructor(maintenanceMonthMasterRepository: MaintenanceMonthMasterRepository);
    create(maintenanceMonthMaster: Omit<MaintenanceMonthMaster, 'maintenanacemonthId'>): Promise<MaintenanceMonthMaster>;
    count(where?: Where<MaintenanceMonthMaster>): Promise<Count>;
    find(filter?: Filter<MaintenanceMonthMaster>): Promise<MaintenanceMonthMaster[]>;
    updateAll(maintenanceMonthMaster: MaintenanceMonthMaster, where?: Where<MaintenanceMonthMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<MaintenanceMonthMaster>): Promise<MaintenanceMonthMaster>;
    updateById(id: number, maintenanceMonthMaster: MaintenanceMonthMaster): Promise<void>;
    replaceById(id: number, maintenanceMonthMaster: MaintenanceMonthMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
